.button {
	& {
		outline: none;
		background: none;
		box-shadow: none;
		cursor: pointer;
		border: 1px solid transparent;
		transition: 0.5s;
		width: 100%;
	}

	&:focus,
	&:hover {
		background: none;
		box-shadow: none;
	}

	&.-ellipse {
		display: flex;
		justify-content: center;
		padding: 15px 10px;
		color: #fff;
		box-shadow: 0 1px 2px rgb(0 0 0 / 20%);
		border-radius: 50px;

		@media (max-width: @screen_tablet) {
			padding: 10px 10px;
		}
	}

	&.-rectangle {
		border-radius: 5px;
		padding: 10px;
	}

	&.-arrow {
		&{
			display: none;
			width: auto;
			animation: slide-up .1s;
			position: fixed;
			right: 50px;
			bottom: 25%;
			z-index: 8;
		}

		&:before {
			.icon-up;

			color: @second_color;
			font-size: 45px;

			@media (max-width: @screen_tablet) {
				font-size: 36px;
			}
		}

		&:hover:before {
			color: darken(@second_color, 5%);
		}
	}
}